clear
close all
plotall = 0;
%% open file picker and show .txt files
[filename,pathname,~] = uigetfile('*.txt','Choose data file:','MultiSelect','on');
% loop through all files
if iscell(filename)
    runcount = length(filename);
else
    runcount = 1;
end
%% prepare arrays for concentrations
% primaryconc = zeros(runcount,1);
% secondaryconc = zeros(runcount,1);
% repeat = zeros(runcount,1);
% SDval = zeros(1,runcount);
% M = zeros(1,runcount);





for filenum = 1:runcount
    % clear variables between different files
    clear avevals newdat newdatcut truncatedata cutpos
    % open next file

    filestring = char(filename); 
    
    if iscell(filename)
        dat = importdata([pathname,filename{filenum}]);
            l = struct2cell(dat);
         xlswrite(char(filename(filenum)),l)
         
    else
        dat = importdata([pathname,filename]);
         xlswrite(char(filename(filenum)),l)
    end
    
   
    
end

'done'